import IMP
import IMP.atom
import IMP.core
import IMP.saxs
import os

ensemble = ["./433.pdb","./434.pdb"]
#ensemble = ["./434.pdb"]
#ensemble = ["./433.pdb"]
#ensemble = ["./434.cut"]

m = IMP.Model()

#! read PDBs
for struc in ensemble:
  print " ... Fitting structure %s"%struc
  mp= IMP.atom.read_pdb(struc, m,
                      IMP.atom.NonWaterNonHydrogenPDBSelector())

  #! select particles from the model
  particles = IMP.atom.get_by_type(mp, IMP.atom.ATOM_TYPE)

  #! add radius for water layer computation
  ft = IMP.saxs.default_form_factor_table()
  for i in range(0, len(particles)):
    radius = ft.get_radius(particles[i])
    IMP.core.XYZR(particles[i]).set_radius(radius)
  # compute surface accessibility
  s = IMP.saxs.SolventAccessibleSurface()
  surface_area = s.get_solvent_accessibility(IMP.core.XYZRs(particles))


